=head1 NAME

B<nodeadd> - Adds nodes to the xCAT cluster database.


=head1 SYNOPSIS

B<nodeadd> I<noderange> B<groups>=I<groupnames> [I<table.column=value>] [I<...>]

B<nodeadd> [B<-v> | B<--version>]

B<nodeadd> [B<-?> | B<-h> | B<--help>]


=head1 DESCRIPTION

The nodeadd command adds the nodes specified in noderange to the xCAT database.  It also stores
the any additional attributes specified for these nodes.  At least one groupname must be supplied.
You should also consider specifying attributes in at least the following tables:  B<nodehm>, B<noderes>,
B<nodetype>.  See the man page for each of these for details.  Also see the B<xcatdb> man page for an
overview of each table.

The nodeadd command also supports some short cut names as aliases to common attributes.  See the
B<nodels> man page for details.


=head1 OPTIONS

=over 10

=item B<-v|--version>

Command Version.

=item B<-?|-h|--help>

Display usage message.

=back


=head1 RETURN VALUE

=over 3

=item 0.
The command completed successfully.

=item 1.
An error has occurred.

=back


=head1 EXAMPLES

=over 2

=item 1.
To add nodes in noderange  node1-node4 with group all:

 nodeadd node1-node4 groups=all

=item 2.
To add nodes in noderange  node1-node4 to the nodetype table with os=rhel5:

 nodeadd node1-node4 groups=all,rhel5 nodetype.os=rhel5

=back


=head1 FILES

/opt/xcat/bin/nodeadd


=head1 SEE ALSO

L<nodels(1)|nodels.1>, L<nodech(1)|nodech.1>, L<noderange(3)|noderange.3>
